<?php
/**
* Plugin Name: DivideBuy
* Plugin URI: https://dividebuy.co.uk/
* Description: Adding divide buy support to woocommerce store products.
* Version: 1.0
* Author: DivideBuy
* Author URI: https://dividebuy.co.uk/
* Developer: 
* Developer URI: 
* Text Domain: divide-buy
* Domain Path: /languages
*
* Copyright: © 2016 Divide Buy.
*/

if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if file accessed directly
}

/**
* Check if WooCommerce is active
*/

if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	
	/**
	 * The core plugin class that is used to define all required files in extension.
	 */

	require plugin_dir_path( __FILE__ ) . 'includes/class-dividebuy.php';

	/**
	 * Begins execution of the plugin.
	 * @since    1.0
	 */
	function run_dividebuy() {

		$plugin = new Divide_Buy();
		$plugin->load_dependencies();
                
                global $wpdb;
                $dividebuy_tracking_table = $wpdb->prefix . "dividebuy_tracking";
                $charset_collate = $wpdb->get_charset_collate();

                $sql = "CREATE TABLE $dividebuy_tracking_table (
                  id mediumint(9) NOT NULL AUTO_INCREMENT,
                  order_id int(11) NOT NULL,
                  tracking_carrier varchar(55) NOT NULL,
                  tracking_number varchar(55) NOT NULL,
                  created_date date NOT NULL,
                  created_time time NOT NULL,
                  PRIMARY KEY  (id)
                ) $charset_collate;";

                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );
	}
	run_dividebuy();
        
        // Adding all required css and js files for extension.
        function add_public_scripts_and_styles() {
            
                if(is_cart() || is_checkout()){
                    wp_enqueue_style( 'customscrollbar-min-css', plugins_url() . '/dividebuy/assets/css/customscrollbar.min.css' );
                }
                wp_enqueue_style( 'dividebuy-style-css', plugins_url() . '/dividebuy/assets/css/dividebuy-style.css' );
				wp_enqueue_style( 'conquestcarbon-dividebuy-style-css', plugins_url() . '/dividebuy/assets/css/conquestcarbon-dividebuy-style.css' );
                
                wp_enqueue_script('jquery');
                if(is_cart() || is_checkout()){
                    wp_enqueue_script( 'customscrollbar-concat-min-js', plugins_url() . '/dividebuy/assets/js/customscrollbar.concat.min.js' );
                }
                wp_enqueue_script( 'dividebuy-public-js', plugins_url() . '/dividebuy/assets/js/public.js' );
        }
        add_action( 'wp_enqueue_scripts', 'add_public_scripts_and_styles', '', '1.0', true );
        
        // Adding required css and js files into admin side.
        function add_admin_style_and_scripts(){
            wp_enqueue_style( 'dividebuy-admin-style-css', plugins_url() . '/dividebuy/assets/css/admin-style.css' );
            wp_enqueue_script( 'dividebuy-admin-js', plugins_url() . '/dividebuy/assets/js/admin.js' );
            
            if ( isset( $_GET['post_type'] ) && 'product' === $_GET['post_type'] ) {
                wp_enqueue_script( 'manage-wp-posts-using-bulk-quick-edit', plugins_url('assets/js/admin_edit.js', __FILE__), array( 'jquery', 'inline-edit-post' ), '', true );
            }
        }
        add_action( 'admin_enqueue_scripts', 'add_admin_style_and_scripts' );
}


// retrieves the attachment ID from the file URL
function pippin_get_image_id($image_url) {
    global $wpdb;
    $attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url )); 
        return $attachment[0]; 
}
add_action('init','t');
function t(){
//$a = WC()->session->__unset( 'nondividebuy_products_cart_session' );    

}
