<?php
/**
 * This files includes all the functions related to cart management for DivideBuy.
 */

if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if file accessed directly
}

/**
 * Adding DivideBuy banner before Proceed to Checkout button.
 * 
 * This button will get displayed if there is minimum 1 product in cart which is supported by DivideBuy.
 */

$banner_position = get_option( 'wc_settings_tab_dividebuy_cart_banner_position' );

if( $banner_position == 0 ){
    add_action('woocommerce_after_cart_totals', 'add_dividebuy_checkout_button_after_checkout_button');
    function add_dividebuy_checkout_button_after_checkout_button(){

        $dividebuy_helper = new DivideBuy_Helper();
        $dividebuy_product_count = $dividebuy_helper->get_dividebuy_products_count();
        $dividebuy_products_total = $dividebuy_helper->get_dividebuy_cart_products_total();
        $available_gateways = WC()->payment_gateways->get_available_payment_gateways();

        $checkout_banner = get_option( 'wc_settings_tab_dividebuy_checkout_banner' );
        $checkout_banner_hover = get_option( 'wc_settings_tab_dividebuy_checkout_banner_hover' );

        if( $checkout_banner == '' ){
            $checkout_banner = plugins_url() . '/dividebuy/assets/images/dividebuy-checkout-button.png';
        }
        if( $checkout_banner_hover == '' ){
            $checkout_banner_hover = plugins_url() . '/dividebuy/assets/images/dividebuy-checkout-button.png';
        }
        $DivideBuy_Helper = new DivideBuy_Helper();
        $result_ip = $DivideBuy_Helper->allowip_check();
        
        if( $dividebuy_product_count > 0  && array_key_exists("dividebuy",$available_gateways) && $result_ip == true ){
            $order_minimum_value = $dividebuy_helper->check_minimum_order_amount();?>
            <div class="tooltip-logo-cart" data-dividebuy-total="<?php echo $dividebuy_products_total; ?>">  
            <div class="tooltip-left"> 
                      
                
                <?php if( $order_minimum_value['status'] == "false" ){ ?>
                    <span class="span_dividebuymin" style="<?php echo get_option('wc_settings_tab_dividebuy_banner_custom_css');?>">
                    <span class="or-divider-sufix mrg-b-15" style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label_css');?>">
                        <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label'), 'woocommerce' ); ?>
                    </span>
                        <img src="<?php echo $checkout_banner;?>" class="buttonImage tooltip-image-width" alt="DivideBuy" style="opacity: 0.6"/>
                    </span>
                <?php } elseif( WC()->cart->get_coupons() && get_option('dividebuy_enable_coupon_code') == 'no' ){ ?>
                    <span class="span_couponcodeadded" style="<?php echo get_option('wc_settings_tab_dividebuy_banner_custom_css');?>">
                    <span class="or-divider-sufix mrg-b-15" style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label_css');?>">
                        <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label'), 'woocommerce' ); ?>
                    </span>
                        <img src="<?php echo $checkout_banner;?>" class="buttonImage tooltip-image-width" alt="DivideBuy" style="opacity: 0.6"/>
                    </span>
                <?php } else{ ?>
                 <span class="or-divider-sufix mrg-b-15" style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label_css');?>">
                                    <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label'), 'woocommerce' ); ?>
                                </span>
                                <div class="clearfix"></div>
                    <div id="dividebuy_image_after_cart" class="relative">
                        <?php if( WC()->cart->get_coupons() ) echo "Coupon applied";?>
                        <a href="#" id="divide-buy-modal">
                            <span  style="<?php echo get_option('wc_settings_tab_dividebuy_banner_custom_css');?>">
                               

                                <img src="<?php echo $checkout_banner;?>" onmouseover="this.src='<?php echo $checkout_banner_hover;?>'" onmouseout="this.src='<?php echo $checkout_banner;?>'" class="buttonImage tooltip1 tooltip-image-width" alt="DivideBuy"/>
                            </span>
                        </a>
                        <div id="tooltip1" class="product_page_instalments tooltip-db">
                            <div class="tooltip-db-1 dnone">
                                <div class="instalment-details" style="bottom: 0px;">
                                </div>
                                 <div id="instalment-loader"></div>
                                <div class="hover-instalment instalment-5">
                                    <div class="highlights-instalments-text">
                                        O% APR Representative example. Credit subject to status and minimum order value.
                                    </div>
                                    <div class="tooltip-logo-right"> 
                                        <img src="<?php echo plugins_url() . '/dividebuy/assets/images/dividebuy.png' ;?>" width="100px"/>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </div>
                     </div>
                <?php } ?>
               
                <span style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_sufffix_label_css');?>">
                    <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_sufffix_label'), 'woocommerce' ); ?>
                </span>
           
            </div>
            </div>

            
            <?php /*** Scritp to display the tooltip with min amount starts***/ ?>
            <script>
                jQuery(document).ready(function() {
                    jQuery(document).on('mouseenter', '#divide-buy-modal', function(){
                        showDevideByTP = true;
                        var url = '<?php echo plugin_dir_url( __FILE__ ) . 'dividebuy-instalments.php';?>';
                        var price = jQuery(".tooltip-logo-cart").attr("data-dividebuy-total");
                        jQuery(".tooltip-db-1").removeClass("dnone");
                        jQuery(".instalment-details").html("");                        
                        get_instalments(price, url, showTooltip);
                        price = '';
                    });
                    jQuery(document).on("mouseleave", "#divide-buy-modal", function(e) {
                        showDevideByTP = false;
                    });
                });
                jQuery(document).on('mousemove', ".span_dividebuymin, .span_couponcodeadded" , function(e) {
                    mousemovebtn(e, this)
                });
                jQuery(document).on({
                    mouseenter: function () {
                        // Hover code
                        var content = "<div class='slip_tooltip_container grey'><div class='slip_tooltip_content'><span class='tooltip-box'><span class='blue'>DivideBuy - The easy Interest-Free Checkout.</span> Spend a minimum of <?php echo get_woocommerce_currency_symbol().$order_minimum_value['min_order_amount']; ?> to be eligible to Spread the Cost, Interest-Free using our <span class='blue'>secure platform</span> to fill out our <span class='blue'>60 second application</span>. With us you'll get an <span class='blue'>instant decision. 96% acceptance rate</span> and a <span class='blue'>choice of instalment options</span> to suit you.</span></div></div>";
                        if (!(jQuery('body').find('.slip_tooltip_container').length)) {
                            jQuery(content).appendTo('body').fadeIn('slow');
                        }
                    },
                    mouseleave: function () {
                        // Hover out code
                        jQuery('.slip_tooltip_container').remove();
                    }
                }, '.span_dividebuymin');

                jQuery(document).on({
                    mouseenter: function () {
                        // Hover code
                        var content = "<div class='slip_tooltip_container coupon-box'><div class='slip_tooltip_content'><span class='tooltip-box'>This coupon code cannot be used in conjunction with Interest-Free Credit.</span></div></div>";
                        if (!(jQuery('body').find('.slip_tooltip_container').length)) {
                            jQuery(content).appendTo('body').fadeIn('slow');
                        }
                    },
                    mouseleave: function () {
                        // Hover out code
                        jQuery('.slip_tooltip_container').remove();
                    }
                }, '.span_couponcodeadded');
            </script>
            <?php /*** Scritp to display the tooltip with min amount ends***/ ?>
            <script>
                jQuery(document).ready(function(){
                    jQuery(document).on('click', '#divide-buy-modal', function(){
                        url = "<?php echo get_site_url().'/dividebuy/modal/checkout';?>";
                        display_dividebuy_modal(url);
                        return false;
                    });
                });
            </script>
        <?php }
    }
}

if($banner_position == 1){
    // Adding DivideBuy banner after proceed to checkout button.
    add_action( 'woocommerce_proceed_to_checkout', 'add_dividebuy_checkout_button_before_checkout_button' );
    function add_dividebuy_checkout_button_before_checkout_button() {
        $dividebuy_helper = new DivideBuy_Helper();
        $dividebuy_product_count = $dividebuy_helper->get_dividebuy_products_count();
        $dividebuy_products_total = $dividebuy_helper->get_dividebuy_cart_products_total();
        $available_gateways = WC()->payment_gateways->get_available_payment_gateways();

        $checkout_banner = get_option( 'wc_settings_tab_dividebuy_checkout_banner' );
        $checkout_banner_hover = get_option( 'wc_settings_tab_dividebuy_checkout_banner_hover' );

        if( $checkout_banner =='' ){
            $checkout_banner = plugins_url() . '/dividebuy/assets/images/dividebuy-checkout-button.png';
        }
        if( $checkout_banner_hover == '' ){
            $checkout_banner_hover = plugins_url() . '/dividebuy/assets/images/dividebuy-checkout-button.png';
        } 
        $DivideBuy_Helper = new DivideBuy_Helper();
        $result_ip = $DivideBuy_Helper->allowip_check();
        ?>

        <?php if( $dividebuy_product_count > 0 && array_key_exists("dividebuy",$available_gateways) && $result_ip == true){
            $order_minimum_value = $dividebuy_helper->check_minimum_order_amount();?>


             <div class="tooltip-logo-cart" data-dividebuy-total="<?php echo $dividebuy_products_total; ?>">
             <div class="tooltip-center"> 
                <span class="or-divider-prefix" style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label_css');?>">
                    <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label'), 'woocommerce' ); ?>
                </span>     

                <?php if( $order_minimum_value['status'] == "false" ){ ?>
                    <span class="span_dividebuymin" style="<?php echo get_option('wc_settings_tab_dividebuy_banner_custom_css');?>">
                        <img src="<?php echo $checkout_banner;?>" class="buttonImage tooltip-image-width" alt="DivideBuy" style="opacity: 0.6"/>
                    </span>
                <?php } elseif( WC()->cart->get_coupons()  && get_option('dividebuy_enable_coupon_code') == 'no'  ){ ?>
                    <span class="span_couponcodeadded" style="<?php echo get_option('wc_settings_tab_dividebuy_banner_custom_css');?>">
                    <span class="or-divider-sufix mrg-b-15" style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label_css');?>">
                        <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_prefix_label'), 'woocommerce' ); ?>
                    </span>
                        <img src="<?php echo $checkout_banner;?>" class="buttonImage tooltip-image-width" alt="DivideBuy" style="opacity: 0.6"/>
                    </span>
                <?php } else{ ?>
                    <div class="relative" id="dividebuy_image_after_cart">
                        <?php echo "sdf";?>
                        <a href="#" id="divide-buy-modal">
                            <span  style="<?php echo get_option('wc_settings_tab_dividebuy_banner_custom_css');?>">
                                <img src="<?php echo $checkout_banner;?>" onmouseover="this.src='<?php echo $checkout_banner_hover;?>'" onmouseout="this.src='<?php echo $checkout_banner;?>'" class="buttonImage tooltip1 tooltip-image-width" alt="DivideBuy"/>
                            </span>
                        </a>
                        <div id="tooltip1" class="product_page_instalments tooltip-db">
                            <div class="tooltip-db-1 dnone">
                                <div class="instalment-details" style="bottom: 0px;">
                                </div>
                                 <div id="instalment-loader"></div>
                                <div class="hover-instalment instalment-5">
                                    <div class="highlights-instalments-text">
                                        O% APR Representative example. Credit subject to status and minimum order value.
                                    </div>
                                    <div class="tooltip-logo-right"> 
                                        <img src="<?php echo plugins_url() . '/dividebuy/assets/images/dividebuy.png' ;?>" width="100px"/>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </div>
                     </div>
                <?php } ?>
                <div class="clear"></div>
                <span class="or-divider-sufix mrg-t-15 mrg-b-15" style="<?php echo get_option('wc_settings_tab_dividebuy_checkout_banner_sufffix_label_css');?>">
                    <?php esc_html_e( get_option('wc_settings_tab_dividebuy_checkout_banner_sufffix_label'), 'woocommerce' ); ?>
                </span>
            </div>
            </div>

<div class="clearfix"></div>

            <?php /*** Scritp to display the tooltip with min amount starts***/ ?>
            <script>
                jQuery(document).ready(function() {
                    jQuery(document).on('mouseenter', '#divide-buy-modal', function(){
                        showDevideByTP = true;
                        var url = '<?php echo plugin_dir_url( __FILE__ ) . 'dividebuy-instalments.php';?>';
                        var price = jQuery(".tooltip-logo-cart").attr("data-dividebuy-total");
                        jQuery(".tooltip-db-1").removeClass("dnone");
                        jQuery(".instalment-details").html("");                        
                        get_instalments(price, url, showTooltip);
                    });
                    jQuery(document).on("mouseleave", "#divide-buy-modal", function(e) {
                        showDevideByTP = false;
                    });
                });
                jQuery(document).on('mousemove', ".span_dividebuymin, .span_couponcodeadded" , function(e) {
                    mousemovebtn(e, this)
                });
                jQuery(document).on({
                    mouseenter: function () {
                        // Hover code
                        var content = "<div class='slip_tooltip_container grey'><div class='slip_tooltip_content'><span class='tooltip-box'><span class='blue'>DivideBuy - The easy Interest-Free Checkout.</span> Spend a minimum of <?php echo get_woocommerce_currency_symbol().$order_minimum_value['min_order_amount']; ?> to be eligible to Spread the Cost, Interest-Free using our <span class='blue'>secure platform</span> to fill out our <span class='blue'>60 second application</span>. With us you'll get an <span class='blue'>instant decision. 96% acceptance rate</span> and a <span class='blue'>choice of instalment options</span> to suit you.</span></div></div>";
                        if (!(jQuery('body').find('.slip_tooltip_container').length)) {
                            jQuery(content).appendTo('body').fadeIn('slow');
                        }
                    },
                    mouseleave: function () {
                        // Hover out code
                        jQuery('.slip_tooltip_container').remove();
                    }
                }, '.span_dividebuymin');

                jQuery(document).on({
                    mouseenter: function () {
                        // Hover code
                        var content = "<div class='slip_tooltip_container coupon-box'><div class='slip_tooltip_content'><span class='tooltip-box'>This coupon code cannot be used in conjunction with Interest-Free Credit.</span></div></div>";
                        if (!(jQuery('body').find('.slip_tooltip_container').length)) {
                            jQuery(content).appendTo('body').fadeIn('slow');
                        }
                    },
                    mouseleave: function () {
                        // Hover out code
                        jQuery('.slip_tooltip_container').remove();
                    }
                }, '.span_couponcodeadded');
            </script>
            <?php /*** Scritp to display the tooltip with min amount ends***/ ?>
            <script>
                jQuery(document).ready(function(){
                    jQuery(document).on('click', '#divide-buy-modal', function(){
                        url = "<?php echo get_site_url().'/dividebuy/modal/checkout';?>";
                        display_dividebuy_modal(url);
                        return false;
                    });
                });
            </script>
        <?php }
    }
}

// Adding DivideBuy modal HTML.
add_action('woocommerce_after_cart', 'dividebuy_cart_modal');
function dividebuy_cart_modal(){ ?>
    <?php  $cross_icon = plugins_url() . '/dividebuy/assets/images/closebtn.png'; ?>
    <div id="dividebuy_modal" class="modal fade custom-modal">
        <div class="modal-dialog">
            <!-- Modal content -->
            <div class="modal-content">
                <div class="modal-header clearfix">
                    <a href="#" id="scroll"  data-dismiss="modal" class="close"><img src="<?php echo $cross_icon; ?>" /></button></a>
                </div>
                <div class="modal-body clearfix">
                    
                    <div id="div_login_form"></div>
                    <div id="shipping-loader" class="loader-set" style="margin:0;display: none">
                        <div id="loader"></div>
                    </div>
                    <div class="all_shipping_methods">                           
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}

add_action('wp_head', 'dividebuy_loader');
function dividebuy_loader(){ ?>
    <div class="loader-set">
        <div id="loader"></div>
    </div>
    <?php
    
    if(is_cart()){
        WC()->session->set( 'dividebuy_cart_page', 'yes' );
    }else{
        WC()->session->__unset('dividebuy_cart_page');
    }
}



/************************************************/
/* Adding non dividebuy produt back to the cart */
/************************************************/
//add_action( 'get_header', 'wc_clear_cart_after_payment_productadd',99,1);
function wc_clear_cart_after_payment_productadd()
{
    global $wp;
    //Checking page is order recevived or not
    if ( ! empty( $wp->query_vars['order-received'] ) ) {
        //Taking order id from the order received page
        $order_id  = absint( $wp->query_vars['order-received'] );
        //Getting the key 
        $order_key = isset( $_GET['key'] ) ? wc_clean( $_GET['key'] ) : '';
        //Checking for order id is not zero or null
        if ( $order_id > 0 ) {
            //Clearning the cart
            WC()->cart->empty_cart();
            //Getting the non dividebuy product's session to add into the cart
            $session_products = WC()->session->get('nondividebuy_products_cart_session');
            foreach ($session_products as $product){
                $product_id = $product['product_id'];
                $product_variation_id = $product['variation_id'];
                //if product is having the variant id 
                if($product_variation_id){
                    $variation = wc_get_product($product_variation_id);
                    $attributes = $variation->get_variation_attributes();
                    //Add to cart code
                    WC()->cart->add_to_cart($product_id, $product['product_quantity'], $product_variation_id, $attributes);
                }//variant id brace close
                else{
                    //Add to cart code
                    WC()->cart->add_to_cart($product_id, $product['product_quantity']);
                }//simple product added
            }//foreach close
            //Unset the session of nondividebuy products
            WC()->session->__unset('nondividebuy_products_cart_session');
        }// order id check close
    }//order recevied clsoe   
}//function close
