<?php
$store_name = get_option('wc_settings_tab_retailer_name');
$store_logo_url = get_option('wc_settings_tab_retailer_image');
$dividebuy_helper = new DivideBuy_Helper();
$nondividebuy_products_count = $dividebuy_helper->get_nondividebuy_products_count();
?>

<div class="row">
    <div class="col-sm-5 col-md-4 col-xs-12">
        <div class="logo-img">
            <img src="<?php echo $store_logo_url; ?>" alt="Retailer Logo"/>
        </div>
    </div>
    
</div>
<div class="clearfix"></div>
<div class="row">
    <div class="col-md-6 col-sm-6 checkout-guest">
        <?php 
        $checkout_guest = get_option('woocommerce_enable_guest_checkout');  
        if($checkout_guest == 'yes')
        {
        ?>
            <h4 class="checkout-titile"><?php esc_html_e( 'Checkout as a '.$store_name.' guest', 'woocommerce' ); ?></h4>
            <button class="btn-grey" id="btn_continue_guest"><?php esc_html_e( 'Continue', 'woocommerce' ); ?></button>
        <?php    
        }
        else
        {
        ?>
            <div class="text-center">
                <img src ="<?php echo plugins_url()?>/dividebuy/assets/images/disable.png" title="Disable checkout as a guest" alt="Disable checkout as a guest"/>
            </div>
        <?php 
        }
        ?>
        
    </div>
    <div class="col-md-6 col-sm-6">
        <div class="modal-heading">
            <h4 class="mrg-0 modal-heading-title"><?php esc_html_e( 'Returning '.$store_name.' Customer', 'woocommerce' ); ?></h4>
            <small class="text-grey modal-heading-title-small"><?php esc_html_e('Log in to '.$store_name.'', 'woocommerce' );?></small>
        </div>
        
        <form id="user_login_form" method="post">
            <div class="form-group">
            <label for="user_email" class="custom-label">
                <?php esc_html_e( 'Email address', 'woocommerce'); ?> <span class="mandatory_field">*</span>
            </label>
            <input type="text" name="user_email" class="required-entry validate-email form-control" id="user_email"/>
                </div>      
           <div class="form-group">
            <label for="user_password" class="custom-label">
                <?php esc_html_e( 'Password' ,'woocommerce'); ?> <span class="mandatory_field">*</span>
            </label>
            <input type="password" name="user_password" class="required-entry form-control " id="user_password"/>
            <div class="validation-advice" id="advice-empty-password" style=""></div>            
            <div class="validation-advice" id="advice-empty-email" style=""></div> 
            <div class="validation-advice" id="advice-wrong-email-password" style=""></div>           
            </div>

           
        <div class="logo-text">
            <span class="login-message"><?php esc_html_e( 'Once you have logged in '.$store_name.', you will be redirected to DivideBuy to complete your purchase using Interest-Free Credit', 'woocommerce' ) ?></span>
        </div>
   

            <div class="custom-login">
            <input type="submit" class="btn-grey" id="btn_user_login" value="Login"/>
            </div>
        </form>
    </div>
</div>

<script>
    jQuery(document).ready(function(){
        jQuery('#scroll').on('click', function () {  
           jQuery('#dividebuy_modal').removeClass('in-modal');
           jQuery('body').removeClass('db-modal');
            setTimeout(function() { jQuery("#dividebuy_modal").css("display","none"); }, 500);
        });
        
        jQuery("#btn_continue_guest").click(function(){
            var url = '<?php echo get_site_url().'/dividebuy/modal/guest'; ?>';
            var nondividebuy_count = '<?php echo $nondividebuy_products_count?>';
            guest_login(url, nondividebuy_count);
        });
        
        jQuery("#btn_user_login").click(function(){
            var email = jQuery("#user_email").val();
            var password = jQuery("#user_password").val();
            var url = '<?php echo get_site_url().'/dividebuy/modal/user_login_action'; ?>';
            user_login(email.trim(), password.trim(), url);
            return false;
        });
    });
</script>